# PCDM_ReaderStatus.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | PCDM_ReaderStatus { PCDM_RS_OK, PCDM_RS_NoDriver, PCDM_RS_UnknownFileDriver, PCDM_RS_OpenError, PCDM_RS_NoVersion, PCDM_RS_NoSchema, PCDM_RS_NoDocument, PCDM_RS_ExtensionFailure, PCDM_RS_WrongStreamMode, PCDM_RS_FormatFailure, PCDM_RS_TypeFailure, PCDM_RS_TypeNotFoundInSchema, PCDM_RS_UnrecognizedFileFormat, PCDM_RS_MakeFailure, PCDM_RS_PermissionDenied, PCDM_RS_DriverFailure }

## Enumeration Type Documentation

enum PCDM_ReaderStatus

Enumeration values:

  PCDM_RS_OK |
  PCDM_RS_NoDriver |
  PCDM_RS_UnknownFileDriver |
  PCDM_RS_OpenError |
  PCDM_RS_NoVersion |
  PCDM_RS_NoSchema |
  PCDM_RS_NoDocument |
  PCDM_RS_ExtensionFailure |
  PCDM_RS_WrongStreamMode |
  PCDM_RS_FormatFailure |
  PCDM_RS_TypeFailure |
  PCDM_RS_TypeNotFoundInSchema |
  PCDM_RS_UnrecognizedFileFormat |
  PCDM_RS_MakeFailure |
  PCDM_RS_PermissionDenied |
  PCDM_RS_DriverFailure |